# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_unparse_name_flags - Convert krb5_principal structure to a string with flags.

krb5_error_code krb5_unparse_name_flags(krb5_context context, krb5_const_principal principal, int flags, char **name)

param:

  [in] context - Library context

  [in] principal - Principal

  [in] flags - Flags

  [out] name - String representation of principal name

retval:

  - 0 Success

return:

  - Kerberos error codes. On failure name is set to NULL

Similar to krb5_unparse_name(), this function converts a krb5_principal structure to a string representation.

The following flags are valid:

> > - #KRB5_PRINCIPAL_UNPARSE_SHORT - omit realm if it is the local realm

> > - #KRB5_PRINCIPAL_UNPARSE_NO_REALM - omit realm

> > - #KRB5_PRINCIPAL_UNPARSE_DISPLAY - do not quote special characters

> Use krb5_free_unparsed_name() to free name when it is no longer needed.